#!/bin/csh -f
# set_preferences.csh MRH Nov 06
# Maintains preferences file for MacMetaMod
# Parameter 1 = root of bundled programs
# Parameter 2 = Prefs filename
# =================================================
# =================================================

# ==========================
# Set constants and defaults
# ==========================

set echo

set prog_name = "set_preferences.csh";
set version = "v1.1";

set pref_exists = 0
set bubble_flag = 0

set prog = `echo $prog_name | sed -e s/"\.[^\.]*"//`

set curr_author = ""
set curr_city = ""

# If no files, show usage
# =======================

if ($#argv < 2) then
    echo "Usage : $prog_name root_dir prefs_file";
endif

set root_dir = $argv[1]
set prefs_file = $argv[2]

if ("$root_dir" != "0") then
  set ccd = "$root_dir/Contents/Resources/CocoaDialog.app/Contents/MacOS/CocoaDialog"
  set icon = "$1/Contents/Resources/appIcon.icns"
else
  set ccd = "/Applications/CocoaDialog.app/Contents/MacOS/CocoaDialog"
  set prefs_file = "/Users/markh/ut/mmm_preferences.txt"
  set icon = "/Users/markh/Desktop/MacMetaMod.app/Contents/Resources/appIcon.icns"
endif


# Get prefs from file if found
# ============================

if (-r $prefs_file) then
    set pref_exists = "1"
    set curr_author = `cat $prefs_file | grep "Author::" | sed -e s/"Author::"//`
    set curr_city = `cat $prefs_file | grep "City::" | sed -e s/"City::"//`
    set curr_text1 = "The following data will be added to all processed files"

    $ccd bubble --titles "Current Preferences" "Author :" --texts  "$curr_text1" "$curr_author" --background-tops "FFCC33" "FFCC33" --background-bottoms "FFDD66" "FFDD66"  --text-colors "0000ff" "0000ff" --icon-file "$icon" --no-timeout &

else
    set curr_author = `id -P | cut -d : -f 8`
    set curr_text1 = "No preferences file found.                One will be created."

    $ccd bubble --title "Preferences" --text  "$curr_text1" --background-top "FFCC33" --background-bottom "FFDD66" --text-color "0000ff" --icon-file "$icon" --timeout &

endif

    @ bubble_flag ++

    set prompt_string = "Enter new author to be added to all processed files :"
    set ret = `$ccd inputbox --title "$prog" --informative-text "$prompt_string" --button1 "Cancel" --button2 "Continue" --text "$curr_author" --float`

  if ("$ret[1]" == "1") then # Cancel
    echo "Nothing done";
    goto exit
  else
    set author = `echo $ret | sed -e s/"[123]"//` # Append
    set author = "$author"
  endif

echo $prefs_file
cat > $prefs_file <<EOF
Author:: $author
EOF

# =============================================================== Progress meter

exit:

# Tidy up

if ($bubble_flag != 0) then
    kill -9 %1
endif

exit
